import { useMain as useTaskMain   } from '@/views/modelTraining/index/services/train.ts'
import { useMain as useOptionsMain   } from '@/views/modelTraining/index/services/options.ts'

export const useMain = () => {
  const taskServices = useTaskMain()
  const optionsServices = useOptionsMain()
  const trainServices = {
    common: {}, // 公共状态模块
    task: taskServices, // 推理
    options: optionsServices // 选项
  }

  return {
    trainServices,
  }
}
